### Function: AddQuestUsableItem(quest, step, description, max_variation, str_taskgroup, icon, dest_x, dest_y, dest_z)

**Description:**
Adds a quest step to the Player's journal requiring a new destination location be reached and can also supply a different zone id.  The dest parameters can be repeated for multiple possible locations.  This acts just like a location marker, nothing points to checking item id's.

**Parameters:**
- `quest` (Quest) - Quest object representing `quest`.
- `step` (int32) - Integer value `step`.
- `description` (int32) - Integer value `description`.
- `max_variation` (int32) - Integer value `max_variation`.
- `str_taskgroup` (string) - String `str_taskgroup`.
- `icon` (int32) - Integer value `icon`.
- `dest_x` (float) - Float value `dest_x`.
- `dest_y` (float) - Float value `dest_y`.
- `dest_z` (float) - Float value `dest_z`.

**Returns:** None.

**Example:**

Example Required
